Bug 66028 - [EFL] Change condition checking logic related with both change of position and offset for backing store.
Summary: [EFL] Change condition checking logic related with both change of position an...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 19:16 PDT by KwangHyuk
Modified: 2011-08-19 08:19 PDT (History)
9 users (show)

See Also:


Attachments
Patch, (1.54 KB, patch)
2011-08-10 19:17 PDT, KwangHyuk
no flags Details | Formatted Diff | Diff
Patch, (1.54 KB, patch)
2011-08-10 19:26 PDT, KwangHyuk
aroben: review-
Details | Formatted Diff | Diff
Patch. (1.52 KB, patch)
2011-08-19 05:42 PDT, KwangHyuk
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description KwangHyuk 2011-08-10 19:16:32 PDT
As backing store's position and offset change can be occurred at the same time, the checking of offset change shouldn't be a "else if" statement.
Comment 1 KwangHyuk 2011-08-10 19:17:55 PDT
Created attachment 103569 [details]
Patch,
Comment 2 WebKit Review Bot 2011-08-10 19:20:20 PDT
Attachment 103569 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/efl/ChangeLog', u'Source/Web..." exit_code: 1

Source/WebKit/efl/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 KwangHyuk 2011-08-10 19:26:08 PDT
Created attachment 103571 [details]
Patch,
Comment 4 Leandro Pereira 2011-08-12 07:05:33 PDT
Comment on attachment 103571 [details]
Patch,

Informal r+.
Comment 5 Gyuyoung Kim 2011-08-16 18:05:38 PDT
LGTM also.
Comment 6 Adam Roben (:aroben) 2011-08-19 05:30:21 PDT
Comment on attachment 103571 [details]
Patch,

View in context: https://bugs.webkit.org/attachment.cgi?id=103571&action=review

> Source/WebKit/efl/ChangeLog:7
> +        As backing store's position and offset change can be occurred at the same time,
> +        the checking of offset change shouldn't be a "else if" statement.

"can be occurred" should just be "can occur".

'a "else if"' should be 'an "else if"'.
Comment 7 KwangHyuk 2011-08-19 05:42:43 PDT
Created attachment 104494 [details]
Patch.
Comment 8 KwangHyuk 2011-08-19 06:21:08 PDT
>"can be occurred" should just be "can occur".
>'a "else if"' should be 'an "else if"'.

Patched. :-)
Thank you for your review again.
Comment 9 WebKit Review Bot 2011-08-19 08:19:45 PDT
Comment on attachment 104494 [details]
Patch.

Clearing flags on attachment: 104494

Committed r93409: <http://trac.webkit.org/changeset/93409>
Comment 10 WebKit Review Bot 2011-08-19 08:19:50 PDT
All reviewed patches have been landed.  Closing bug.